<template>
  <div class="avatar" :style="{ ...style }">
    <slot>
      <img v-if="src" src="" alt="" />
    </slot>
  </div>
</template>

<script>
export default {
  name: "avatar",
  props: {
    size: {
      type: [String, Number],
      default() {
        return 40;
      },
    },
    src: String,
  },
  computed: {
    style() {
      return {
        width: this.size + "px",
        height: this.size + "px",
        borderRadius: this.size + "px",
      };
    },
  },
};
</script>

<style scoped lang="less">
.avatar {
  overflow: hidden;
  img {
  }
}
</style>
